Eclipse Platform Release 3.7

## org.eclipse.ltk.core.refactoring
Interface IUndoManagerListener

All Known Implementing Classes:
  UndoManagerAdapter

    public interface IUndoManagerListener

Listener to monitor state changes of an `IUndoManager`.

Clients may implement this interface to listen to undo manger changes.

As of 3.2 clients which need to examine refactorings which have been performed, undone or redone should use `IRefactoringExecutionListener` for enhanced functionality.

Since:
  3.0

Method Summary
`void` `aboutToPerformChange(IUndoManager manager, Change change)` This method gets called by the undo manager if a change gets executed in the context of the undo manager.
`void` `changePerformed(IUndoManager manager, Change change)` This method gets called by the undo manager when a change has been executed in the context of the undo manager.
`void` `redoStackChanged(IUndoManager manager)` This method is called by the undo manager if the redo stack has changed (for example a redo object got added or the redo stack got flushed).
`void` `undoStackChanged(IUndoManager manager)` This method is called by the undo manager if the undo stack has changed (for example a undo object got added or the undo stack got flushed).

Method Detail

### undoStackChanged

    void undoStackChanged(IUndoManager manager)

  This method is called by the undo manager if the undo stack has changed (for example a undo object got added or the undo stack got flushed).

  Parameters:
    `manager` - the manager this listener is registered to

### redoStackChanged

    void redoStackChanged(IUndoManager manager)

  This method is called by the undo manager if the redo stack has changed (for example a redo object got added or the redo stack got flushed).

  Parameters:
    `manager` - the manager this listener is registered to

### aboutToPerformChange

    void aboutToPerformChange(IUndoManager manager,
                              Change change)

  This method gets called by the undo manager if a change gets executed in the context of the undo manager.

  Parameters:
    `manager` - the manager this listener is registered to
    `change` - the change to be executed

### changePerformed

    void changePerformed(IUndoManager manager,
                         Change change)

  This method gets called by the undo manager when a change has been executed in the context of the undo manager.

  Parameters:
    `manager` - the manager this listener is registered to
    `change` - the change that has been executed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.